#ifndef _CALC_H

/* Declaration of calc functions	*/

extern long eclock;

void File_Compile(
#ifdef USE_PROTOTYPES
	char  *File_Name,
	int   (*Command_Func)()
#endif
    );

void String_Compile(
#ifdef USE_PROTOTYPES
	char  *str,
	char  *fn,
	int  ln,
	int   (*Command_Func)()
#endif
    );


double Var_Value(
#ifdef USE_PROTOTYPES
	char  *Name
#endif
    );

void Var_Set(
#ifdef USE_PROTOTYPES
	char  *Name,
	int  Assignment_Type,
	double  Value
#endif
    );

void Expr_Clear(
#ifdef USE_PROTOTYPES
	char  *Name
#endif
    );

void Expr_Remove(
#ifdef USE_PROTOTYPES
	char  *Name
#endif
    );

int Var_Defined(
#ifdef USE_PROTOTYPES
	char  *Name
#endif
    );

void Expr_Cleanup(
#ifdef USE_PROTOTYPES
	int  Level
#endif
    );


double String_Eval(
#ifdef USE_PROTOTYPES
	char  *expr
#endif
    );


int Func_Nbr_Args(
#ifdef USE_PROTOTYPES
	char  *Function_Name
#endif
    );

double Func_Value(
#ifdef USE_PROTOTYPES
	char  *Function_Name,
	int  n,
	double  *ArgTab
#endif
    );

void Func_Set(
#ifdef USE_PROTOTYPES
	char  	*Function_Name,
	int  	Number_Args,
	int  	Assignment_Type,
	double  (*Func_Ptr)()
#endif
    );

int Get_Nbr_Args(
#ifdef USE_PROTOTYPES
	void
#endif
    );


double Get_Argument(
#ifdef USE_PROTOTYPES
	register int  n
#endif
    );

#endif
